# Podcast Synchronisation made Efficient Dashboard
> Dashboard for PSE-Server

## About

The synchronization of the podcasts is to be managed via a web interface. For
this purpose a single-page application will be created. This can be displayed in
a user-friendly way for desktop and mobile devices. 

The web interface contains the subscribed podcasts and listened episodes
including metadata from the backend. 

## Getting Started

### Pre requirements

- Node.js 19
- npm

### Install dependencies

```sh
$ npm install
```

### Run development server

Runs dev server with live-preview

```sh
$ npm run dev
```

### Build to static files

```sh
$ npm run build
```

You can define that backend domain by editing the `.env.production` file or
setting the environment variable. 
```sh
$ VITE_BACKEND_URL=http://<YOUR BACKEND DOMAIN> npm run build
```

### Docker

> Note that you are running the frontend standalone! 
> Checkout `pse-docker` to run both front- and backend. 

The docker image can be build using
```sh
$ docker build -t pse-frontend .
```

Here you can change the backend domain by editing the `Dockerfile` or by
supplying it when building.
```sh
$ docker build --build-arg VITE_BACKEND_URL=http://<YOUR BACKEND DOMAIN> -t pse-frontend .
```

Then the image can be run using
```sh
$ docker run -p 80:80 -it pse-frontend
```

## Recommended IDE Setup

- [VS Code](https://code.visualstudio.com/) + [Volar](https://marketplace.visualstudio.com/items?itemName=Vue.volar) (and disable Vetur) + [TypeScript Vue Plugin (Volar)](https://marketplace.visualstudio.com/items?itemName=Vue.vscode-typescript-vue-plugin).

## Used Dependencies

- vite
- vue
- vue-router
- bootstrap
- fontawesome
- vue-i18n (Support für mehrere Sprachen) 

## License

This project is licensed under the AGPL-3 License - see the `LICENSE` file for details. 

