package org.psesquared.server;

import org.psesquared.server.config.EmailConfigProperties;
import org.psesquared.server.config.SecurityConfigProperties;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.ComponentScan;

/**
 * The main class responsible for starting the application.
 */
@SpringBootApplication
@EnableConfigurationProperties({SecurityConfigProperties.class,
    EmailConfigProperties.class})
public class ServerApplication {

  /**
   * The main function starting the spring application.
   *
   * @param args Arguments may be given
   */
  public static void main(final String[] args) {
    SpringApplication.run(ServerApplication.class, args);
  }

}
