package org.psesquared.server.authentication.api.controller;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * A request that contains the {@link #username}, {@link #email} address and
 * {@link #password} for registering a new user.
 *
 * @param username The username
 * @param email The email
 * @param password The password
 */
public record UserInfoRequest(@JsonProperty(required = true) String username,
                              @JsonProperty(required = true) String email,
                              @JsonProperty(required = true) String password) {
}
