package org.psesquared.server.model;

import com.fasterxml.jackson.annotation.JsonValue;

/**
 * An enum with all different action types of an {@link EpisodeAction}.
 */
public enum Action {

  /**
   * The download action type.
   */
  DOWNLOAD,

  /**
   * The play action type.
   */
  PLAY,

  /**
   * The delete action type.
   */
  DELETE,

  /**
   * The new action type.
   */
  NEW,

  /**
   * The flattr action type.
   */
  FLATTR;

  /**
   * Getter for the value of the "action" JSON property.
   *
   * @return The JSON value
   */
  @JsonValue
  public String getJsonProperty() {
    return name().toLowerCase();
  }

}
