package org.psesquared.server.util;

import ch.qos.logback.core.joran.sanity.Pair;
import com.fasterxml.jackson.annotation.JsonProperty;
import java.time.LocalDateTime;
import java.time.ZoneOffset;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;

/**
 * Placeholder for a function this implementation does not support.
 */
@Data
public class UpdateUrlsWrapper {

  /**
   * The timestamp of this response-wrapper.
   */
  private final long timestamp;

  /**
   * An empty list of URL pairs.
   */
  @JsonProperty(value = "update_urls")
  private final List<Pair<String, String>> updateUrls = new ArrayList<>();

  /**
   * Creates a placeholder for a function this implementation does not support.
   */
  public UpdateUrlsWrapper() {
    this.timestamp = LocalDateTime.now().toEpochSecond(ZoneOffset.UTC);
  }

}
